Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.TextPageCharInfo Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | TextPageCharInfo ()
| Constructor.
def | TextPageCharInfo (char_info)
| Constructor, with another character information object. More...
def | Set (font, flag, font_size, origin_x, origin_y, char_box, char_outbox, matrix)
| Set value. More...

## Static Public Attributes
| char_box = _fsdk.TextPageCharInfo_char_box
| The glyph bounding box in page space.
| char_outbox = _fsdk.TextPageCharInfo_char_outbox
| The typographic(display and printing) bounding box in page space.
| e_ComboWord = _fsdk.TextPageCharInfo_e_ComboWord
| Character flag: ComboWord.
| e_Generated = _fsdk.TextPageCharInfo_e_Generated
| Character flag: Generated.
| e_Hyphen = _fsdk.TextPageCharInfo_e_Hyphen
| Character flag: Hyphen.
| e_Normal = _fsdk.TextPageCharInfo_e_Normal
| Character flag: Normal.
| e_Unknown = _fsdk.TextPageCharInfo_e_Unknown
| Character flag: Unknown.
| e_UnUnicode = _fsdk.TextPageCharInfo_e_UnUnicode
| Character flag: UnUnicode.
| flag = _fsdk.TextPageCharInfo_flag
| Flags to indicate which properties of textpage character flag are meaningful. More...
| font = _fsdk.TextPageCharInfo_font
| A font for character.
| font_size = _fsdk.TextPageCharInfo_font_size
| Font size for character. More...
| matrix = _fsdk.TextPageCharInfo_matrix
| The matrix of the character.
| origin_x = _fsdk.TextPageCharInfo_origin_x
| The x-coordinate of the origin position.
| origin_y = _fsdk.TextPageCharInfo_origin_y
| The y-coordinate of the origin position.

## Detailed Description

This class represents textpage character information.

## Constructor & Destructor Documentation

## ◆ TextPageCharInfo()

def FoxitPDFSDKPython2.TextPageCharInfo.TextPageCharInfo | ( |  | char_info | ) |

Constructor, with another character information object.

Parameters

  [in] | char_info | Another character information object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.TextPageCharInfo.Set | ( |  | font,
|  |  | flag,
|  |  | font_size,
|  |  | origin_x,
|  |  | origin_y,
|  |  | char_box,
|  |  | char_outbox,
|  |  | matrix
| ) |  |

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from FoxitPDFSDKPython2.TextPageCharInfo.e_Normal and this should be one of these values except FoxitPDFSDKPython2.TextPageCharInfo.e_Unknown .
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

Returns
  None.

## Member Data Documentation

## ◆ flag

FoxitPDFSDKPython2.TextPageCharInfo.flag = _fsdk.TextPageCharInfo_flag
| static

Flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from FoxitPDFSDKPython2.TextPageCharInfo.e_Normal and this should be one of these values.

## ◆ font_size

FoxitPDFSDKPython2.TextPageCharInfo.font_size = _fsdk.TextPageCharInfo_font_size
| static

Font size for character.

This value would a positive value.